function pic=editImage(im,mask,Mb1,Ms1,Mb2,Ms2,cc,cs1,cs2)

    pic=zeros(size(Mb1,1),size(Mb1,2),3);

    cs1=reshape(cs1,[1 3]);
    cs2=reshape(cs2,[1 3]);
    cc=reshape(cc,[1 3]);

    %c1=(cc.*cs1)./norm(cc.*cs1)*255;
    c1=cc.*cs1./norm(cs1+eps);
    c2=(cc.*cs2)./norm(cc.*cs2+eps)*255;

    pic(:,:,1)= Mb1 * c1(1)+ Ms1 * cs1(1)+ Mb2 * c2(1)+ Ms2 * cs2(1);
    pic(:,:,2)= Mb1 * c1(2)+ Ms1 * cs1(2)+ Mb2 * c2(2)+ Ms2 * cs2(2);
    pic(:,:,3)= Mb1 * c1(3)+ Ms1 * cs1(3)+ Mb2 * c2(3)+ Ms2 * cs2(3);

    pic(pic>255)=255;

    pic(:,:,1)=im(:,:,1) .* (1-mask) + pic(:,:,1) .* mask;
    pic(:,:,2)=im(:,:,2) .* (1-mask) + pic(:,:,2) .* mask;
    pic(:,:,3)=im(:,:,3) .* (1-mask) + pic(:,:,3) .* mask;

end
