function [Mb,Ms,cb,cs]=CIE_Method4(im,mask,Cb,Cs)

    indx=find(mask);
    r=im(:,:,1);
    g=im(:,:,2);
    b=im(:,:,3);
    imRGB=[r(indx) g(indx) b(indx)];

    thr=0;

    ERs=zeros(size(Cs,1),1);
    MSs=zeros(size(Cs,1),1);

    for s=1:size(Cs,1)
        for b=1:size(Cb,1)
            [mbx msx]=solveMbMsPositive(imRGB,Cb(b,:),Cs(s,:));
            mcbmcs = mbx' * Cb(b,:) + msx' * Cs(s,:);
            eReconst=sum(sum((imRGB-mcbmcs).^2))/size(im(:),1);

            ERs(s)=eReconst;
            MSs(s)=sum(msx(:))/sum(mask(:));
            if MSs(s)/ERs(s)>thr
                Mbx=mbx;
                Msx=msx;
                thr=MSs(s)/ERs(s);
                cb=Cb(b,:);
                cs=Cs(s,:);
            end     
        end
    end
    Mb=zeros(size(im,1),size(im,2));
    Ms=Mb;
    Mb(indx)=Mbx';
    Ms(indx)=Msx';
    
    % check Mb and Ms for the values to be positive   
     Mb(Mb<0)=0; 
     Ms(Ms<0)=0;  

end
